/**
 * Headbar component
 */

.headbar {
    width: 100%;
    position: relative;
    z-index: 9999;
    background: $color__white;
    box-shadow: 0px 0px 22px #EBF0F5;

    .container-fluid{
        width: 1400px;
        max-width: 100%;
        padding-left: 40px;
        padding-right: 40px;
    }

    a{
        transition: .5s ease;

        &:hover{
            opacity: .8;
        }
    }

    &.headbar__sticky {
        position: sticky;
        top: 0;
    }

    .container,
    .container-fluid,
    .row {
        height: 100%;
    }

    .menu{
        display: inline-block;
        vertical-align: middle;
    }

    .brand {
        display: inline-block;
        vertical-align: middle;

        img{
            width: 160px;
            margin-right: 46px;
        }

        .brand-icon {
            display: inline-block;
            max-height: 36px;
            max-width: 36px;
            vertical-align: middle;
        }

        .brand-name {
            display: inline-block;
            vertical-align: middle;
        }
    }
}

#mega-menu-wrap-menu-main{
    .border-left:before{
        content: "";
        width: 1px;
        height: 19px;
        border-left: 1px solid #C8C7D9 !important;
        padding-left: 22px!important;
        display: inline-block!important;
        margin-bottom: 4px;
        margin-left: -11px;
        vertical-align: middle;
    }

    #mega-menu-menu-main{
        img {
            max-height: 62px;
            object-fit: contain;
            object-position: center;
            display: block;
            margin: 0 auto!important;
        }

        & > li.mega-menu-item > a.mega-menu-link{
            font-weight: 500;
            display: inline-block;
            transition: .5s ease;

            &:hover{
                opacity: .8;
                font-weight: 500;
            }
        }

        a.mega-menu-link .mega-description-group{
            text-align: center;
            display: block;
            width: 100%;
        }

        li.mega-menu-item.mega-menu-megamenu > ul.mega-sub-menu{
            transform: translate(0, -10px);
        }

        li.mega-menu-item.mega-menu-megamenu > ul.mega-sub-menu{
            box-shadow: 3px 5px 10px rgba($color__titles,.075);
            border: 1px solid $color__grey--regent;
            border-top: none;
        }

        &> li.mega-menu-item{
            transition: .6s ease;
        }

        ul.mega-sub-menu li.mega-menu-item a img{
            transition: .5s ease;
        }

        ul.mega-sub-menu li.mega-menu-item a:hover img{
            transform: scale3d(1.05,1.05,1.05);
        }
    }

    li.mega-menu-item-has-children{
        transition: .8s ease;
    }

    li.mega-menu-item-has-children:hover {
        background: #fff!important;
        border-radius: 8px 8px 0 0!important;
    }
}

#header.header__white{
    position: absolute;
    left: 0;
    top: 0;
    background: transparent;
    z-index: 444;
    box-shadow: none;

    .text-color__titles{
        color: #fff;
    }

    #mega-menu-menu-main>li>a,
    #mega-menu-wrap-menu-main .mega-menu-toggle .mega-toggle-block:after{
        color: #fff!important;
        transition: .5s ease;
    }

    #mega-menu-menu-main>li:not(.mega-menu-item-has-children)>a:hover{
        color: $color__white !important;
        opacity: .6;
    }

    #mega-menu-menu-main>li.mega-menu-item-has-children:hover>a{
        color: $color__titles !important;
    }
}

@media only screen and (min-width: $wrap__lg) {
    .headbar {

        .brand {
            .brand-icon {
                max-height: 46px;
                max-width: 46px;
            }
        }
    }
}
